---
layout: docs
page_title: 'Commands: node meta'
description: |
  The node meta commands are used to read and update node metadata.
---

# Command: node meta

The `meta` command is used to read and update node metadata. This metadata is
available for [interpolation using the `${meta.<key>}` syntax in jobs][interp].

## Usage

Usage: `nomad node meta <subcommand> [options]`

The `apply` subcommand allows for dynamically updating node metadata. The
`read` subcommand allows reading all of the metadata set on the client. All
commands interact directly with a client and allow setting a custom target with
the `-node-id` option.

Please see the individual subcommand help for detailed usage information:

 - [`apply`][apply] - Modify node metadata
 - [`read`][read] - Read node metadata

[interp]: /nomad/docs/runtime/interpolation#node-attributes
[apply]: /nomad/docs/commands/node/meta/apply
[read]: /nomad/docs/commands/node/meta/read
